
%define _libmoddir /lib/modules

%{!?kernel:%define kernel %(rpm -q kernel-source kernel-devel --qf "%{RPMTAG_VERSION}-%{RPMTAG_RELEASE}\\n" | tail -1)}

%define kversion %(echo "%{kernel}" | sed -e 's|-.*||')
%define krelease %(echo "%{kernel}" | sed -e 's|.*-||')


%define moduledir /kernel/drivers/net/e1000_upd
%define moduledir_org /kernel/drivers/net/e1000

%define kext ko

%define modules e1000.%{kext}
%define modules_org e1000.%{kext}

Summary: Linux driver for Intel Gigabit Network cards.
Name: kernel-module-e1000-%{kernel}
Version: 8.0.6
Epoch: 0
Release: 1.slc5
License: GPL, other
Group: System Environment/Kernel
ExclusiveArch: i686 x86_64 ia64

Packager: Jaroslaw Polok <jaroslaw.polok@cern.ch>
Vendor: CERN, http://cern.ch/linux

Source: e1000-%{version}.tar.gz
BuildRoot: %{_tmppath}/root-%{name}-%{version}
Prefix: %{_prefix}

BuildRequires: kernel-devel = %{kernel}

Requires: kernel-%{_target_cpu} = %{kernel}

Provides: kernel-module
Provides: kernel-module-e1000 = %{epoch}:%{version}-%{release}

%package -n e1000
Summary: Linux driver for Intel Gigabit Network cards.
Group: System Environment/Kernel
Requires: kernel-module-e1000

%description
Linux driver for Intel Gigabit Network cards.

These drivers are built for kernel %{kversion}-%{krelease}
and architecture %{_target_cpu}.

%description -n e1000
Linux driver for Intel Gigabit Network cards.
(you will also need kernel-module-e1000 package(s))

%prep
%setup -n e1000-%{version}/src

%build
%{__rm} -rf %{buildroot}
echo -e "\nDriver version: %{version}\nKernel version: %{kernel}\n"

make -C /lib/modules/%{kversion}-%{krelease}/build/ M=`pwd` modules

%{__install} -d -m0755 %{buildroot}%{_libmoddir}/%{kversion}-%{krelease}%{moduledir}
%{__install} -m0644 %{modules} %{buildroot}%{_libmoddir}/%{kversion}-%{krelease}%{moduledir}

%install

mkdir __doc
cp ../e1000.7 ../COPYING ../pci.updates ../README __doc/

%{__install} -d -m0755 %{buildroot}%{_libmoddir}/%{kversion}-%{krelease}%{moduledir}
%{__install} -m0644 %{modules} %{buildroot}%{_libmoddir}/%{kversion}-%{krelease}%{moduledir}

%postun
MODULES="%{modules_org}"
for MOD in ${MODULES}; do
 MORG="${MOD}_org" 
 mv /lib/modules/%{kernel}/%{moduledir_org}/$MORG /lib/modules/%{kernel}/%{moduledir_org}/$MOD ||:
done

/sbin/depmod -aeF /boot/System.map-%{kernel} %{kernel} > /dev/null || :
/sbin/mkinitrd --allow-missing -f /boot/initrd-%{kernel}.img %{kernel} > /dev/null || :

%post
MODULES="%{modules_org}"
for MOD in ${MODULES}; do
 MORG="${MOD}_org"
 mv /lib/modules/%{kernel}/%{moduledir_org}/$MOD /lib/modules/%{kernel}/%{moduledir_org}/$MORG ||:
done

/sbin/depmod -aeF /boot/System.map-%{kernel} %{kernel} > /dev/null || :
/sbin/mkinitrd --allow-missing -f /boot/initrd-%{kernel}.img %{kernel} > /dev/null || :

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%{_libmoddir}/%{kversion}-%{krelease}%{moduledir}/*

%files -n e1000
%defattr(-,root,root,-)
%doc __doc/*

%changelog
* Wed Sep 24 2008 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- Initial SLC5 package
